SKRIBILO := skribilo
PDFLATEX := pdflatex
RUBBER   := rubber
DOT      := dot
DOT-OPTS := -Gratio=1.2 -Gwidth=15cm

.DEFAULT_GOAL := supply-chain.pdf
ILLUSTRATIONS :=				\
  images/commit-graph.pdf			\
  images/commit-graph-intro.pdf

supply-chain.pdf: $(ILLUSTRATIONS)
%.pdf: %.tex
	$(RUBBER) --pdf -I $$PWD "$<"

%.tex: %.skb
	$(SKRIBILO)  -t latex -o "$@" "$<"

%.pdf: %.dot
	$(DOT) -Tpdf $(DOT-OPTS) < "$<" > "$@.tmp"
	mv "$@.tmp" "$@"
